Bitcoin Cüzdanınızı Güncelleyin

Bitcoin Cüzdanınızı Güncelleyin

  • Bitcoin Haber
  • - 06.07.2015 - 12:39
  • Son Güncelleme: 18.12.2019 - 17:05

Bazı Madencilerin Ürettiği Bloklar Geçersiz

Bu belge yeni bilgi geldikçe güncellenecektir. Son güncelleme 6 Temmuz 2015 02:00 UTC de yapılmıştır. Belgenin ingilizce orijinalini https://bitcoin.org/en/alert/2015-07-04-spv-mining adresinde bulabilirsiniz.

Not: Bu uyarı halen devam etmektedir. Problem henüz çözülmemiştir. (Güncelleme #1)

6 Temmuz 2015 00:00 UTC den önce onay aldığınız işlemlere ait bitcoinleriniz güvendedir. Ancak planlı bir güncelleme sırasında oluşan bir hata sonucunda bu tarihten sonra alınan onaylar bazı yazılım kullanıcıları için  güvenilmez duruma gelmiştir.Özet

  •  Basit (SPV) cüzdan kullanıcıları ilave olarak 30 doğrulama beklemelidir. Elektrum kullanıcıları bu nota dikkat etmeliler. : https://en.bitcoin.it/wiki/July_2015_Forks#Electrum
  •  Bitcoin Çekirdeği 0.9.4 veya düşük sürüm cüzdan kullanıcıları normalde beklediklerinden 30 doğrulama fazlasını beklemeli veya Bitcoin Çekirdeği 0.10.2 ye yükseltmelidirler. https://bitcoin.org/en/download
  •  Web cüzdanı kullanıcıları servis sağlayıcılarınn Bitcoin Core 0.9.5 veya üzerini kullanıdığından emin değilseler 30 konfirmasyon fazla beklemeliler
  •  Bitcoin Core (Bitcoin Çekirdeği) 0.9.5 ve üzeri sürümü kullanan kullanıcılar hatadan etkilenmediler. (Not: Bitcoin Core 0.10.2 sürümüne yükseltmeniz bu uyarından bağımsız DOS hatasından etkilenmemeniz için tavsiye edilir)

Madenciler

Eğer havuz madenciliği yapıyorsanız blokları düzgün şekilde doğrulayan bir havuza geçin. Madencilik Havuz karşılaştırması wiki sayfasında bilinen iyi ve kötü havuzların listesini bulabilirsiniz.

Solo madencilik yapıyorsanız Bitcoin Core 0.10.2. ye geçin.

Hayat ne zaman normale dönecek?

Problem madencilerin geçersiz bloklar yaratmalarından kaynaklanıyor. Bazı yazılımlar bu blokların geçersiz olduklarını tesbit edip reddebiliyor, diğer yazılımlar ise geçersiz olduğunu anlayamıyor ve geçersiz doğrulama veriyorlar.

Bitcoin Core 0.9.5 ve sonrasındaki sürümlerde bu problem hiç olmadı.

Bitcoin Core 0.9.4 ve altındaki sürümler asla yeni sürümlere kadar güvenlik sağlayamayacaklar çünkü yeni eklenen BIP66 uzlaşma kurallarından haberleri yok. Tam sürüm düzeyinde güvenliğe geri dönebilmek için sürüm güncellemesi
yapılması gerekiyor.

Hafif (SPV) cüzdanlar büyük havuzların çoğu güncelleme yapmadan önce 30 onaydan önce güvenli sayılmıyor.

Web cüzdanları çok fazla çeşitlilik gösteriyor. Arkada kullandığı Bitcoin Core sürümünün 0.9.5 ya da üzeri olduğundan emin değilseniz yukarıdaki hafif cüzdanlardaki güvenlik seviyesininden olduğunu varsaymalısınız.

Neler Oluyor

Özet: Bazı madenciler geçersiz blok üretmeye başladılar. Neredeyse tüm bitcoin yazılımları (Bitcoin Core 0.9.5 sürümü veya üzeri hariç) bazı durumlarda bu geçersiz blokları geçerli sanıyor.

Şu ana kadar aşağıdaki çatallaşmalar yaşandı:

Tarih Aralığı     Blok Sayısı    Çifte Harcama
4 Temmuz @ 02:10     03:50     6     0
5 Temmuz @ 21:50     23:40     3     Bilinmiyor


Bu paragrafta hatanın nedeni daha detaylı olarak açıklanmıştır.

Aylardan beri sürekli artış eğiliminde olan hash oranı BIP66 kuralına uyan DER imzalarını zorunlu hale getireceğinin sinyalini veriyordu. BIP66 kurallarına göre bulunan son 1000 bloktan 950 si sürüm 3 (v3) blok olduğunda yeni sürüme geçen tüm madenciler sürüm 2 (v2) blokları reddedecekti.

4 Temmuz 2015 sabahı erken saatlerde 950/1000 (95%) eşiğine gelindi. Bundan kısa bir süre sonra küçük bir madenci (sürümü yükseltmiş %5 e dahil olmayan gruptan bir madenci) geçersiz bir blok üretti. (Bu durum öngörülmüştü) Ne yazık ki ağın neredeyse yarısı blokları tam olarak doğrulamadan kazıyordu. (SPV madencilik olarak bilinen şekilde) ve bu geçersiz bloğun üzerine yeni bloklar eklemeye devam ettiler.

Dikkat edin, SPV madenciliği yapan ağın neredeyse yarısı BIP66 kurallarını zorlamayı önceden kabul etmişlerdi. Bunu yapmadıklarında birçok büyük madenci şu ana kadar toplam 50 bin doların üzerinde madencilik gelirini kaybetmiş oldu.

Bulunan blokların doğru olduğunu varsayan yazılımlar işlemleri gerçekte onaylanmadıkları halde onaylanmış gösterme riski ile karşı karşıya kaldı. Bu durum özellikle hafif (SPV) cüzdanları ve eski sürüm Bitcoin Core gibi yazılımları etkiledi.

Güncellemeler

Tavsiye edilen ve uygulanmasına çalışılan düzetme bütün madenciler SPV madenciliğinden tam doğrulama yöntemine geçirmek, en azından geçici olarak. Bu olabilirse bitcoin.org 30 doğrulama beklenmesi tavsiyesini daha düşük bir seviyeye düşürecek.

Güncelleme : 6 Temmuz 04:00  : 5 Temmuz 21:30 da 3 blok uzunluğunda yeni bir çatallaşma yaşandı ve ardından geçerli zincir tekrar üstün hale geldi. En son çatallaşma zincirini buradan  takip edebilirsiniz.

Durumun düzeldiğini ve normale döndüğünü bildiren duyurulara itibar etmeyin. 30 veya daha fazla onay beklemeyi sürdürün.

Geçersiz Bloklar

Geçersiz blok listesini Bitcoin Wiki  sayfasında bulabilirsiniz.

Bu yazının orijinalini https://bitcoin.org/en/alert/2015-07-04-spv-mining#list-of-forks adresinde bulabilirsiniz. En son güncellemeler için bitcoin.org sayfasındaki duyuruları dikkate almanızı tavsiye ederiz.

Haberlerimizi Facebook, Telegram kanalımızdan, Twitter hesabımızdan takip edebilirsiniz.